#
# Conditional build:
%bcond_with	tests		# build with tests
#
# TODO:
# - runtime Requires if any

%define		kdeframever	6.13
%define		qtver		5.15.2
%define		kfname		kirigami
Summary:	Kirigami library
Name:		kf6-%{kfname}
Version:	6.13.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	9659239b81fd0266fbec52eddeaa6029
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Network-devel >= %{qtver}
BuildRequires:	Qt6Quick-devel >= %{qtver}
BuildRequires:	Qt6ShaderTools-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	catdoc
BuildRequires:	cmake >= 3.16
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf6-dirs
#Obsoletes:	kf5-kirigami2 < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kirigami library.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
#Obsoletes:	kf5-kirigami2-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

install -d $RPM_BUILD_ROOT%{_libdir}/qt6/plugins/kf6/kirigami/platform

%find_lang libkirigami6 --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f libkirigami6.lang
%defattr(644,root,root,755)
%{_libdir}/qt6/qml/org/kde/kirigami
%attr(755,root,root) %{_libdir}/libKirigami.so.*.*
%ghost %{_libdir}/libKirigami.so.6
%attr(755,root,root) %{_libdir}/libKirigamiDelegates.so.*.*
%ghost %{_libdir}/libKirigamiDelegates.so.6
%attr(755,root,root) %{_libdir}/libKirigamiPlatform.so.*.*
%ghost %{_libdir}/libKirigamiPlatform.so.6
%{_datadir}/qlogging-categories6/kirigami.categories
%ghost %{_libdir}/libKirigamiDialogs.so.6
%attr(755,root,root) %{_libdir}/libKirigamiDialogs.so.*.*
%ghost %{_libdir}/libKirigamiLayouts.so.6
%attr(755,root,root) %{_libdir}/libKirigamiLayouts.so.*.*
%ghost %{_libdir}/libKirigamiPrimitives.so.6
%attr(755,root,root) %{_libdir}/libKirigamiPrimitives.so.*.*
%ghost %{_libdir}/libKirigamiPrivate.so.6
%attr(755,root,root) %{_libdir}/libKirigamiPrivate.so.*.*
%dir %{_libdir}/qt6/plugins/kf6/kirigami
%dir %{_libdir}/qt6/plugins/kf6/kirigami/platform


%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/Kirigami
%{_libdir}/cmake/KF6Kirigami
%{_libdir}/cmake/KF6Kirigami2
%{_libdir}/cmake/KF6KirigamiPlatform
%{_libdir}/libKirigami.so
%{_libdir}/libKirigamiDelegates.so
%{_libdir}/libKirigamiDialogs.so
%{_libdir}/libKirigamiLayouts.so
%{_libdir}/libKirigamiPlatform.so
%{_libdir}/libKirigamiPrimitives.so
%{_libdir}/libKirigamiPrivate.so
%{_datadir}/kdevappwizard/templates/kirigami6.tar.bz2
%changelog
* Tue Apr 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kirigami.git;a=log;h=master

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> de7c9e1
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e87168c
- updated to 6.12.0

* Sat Feb 22 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d6ff144
- BR: Qt6ShaderTools-devel

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> cd1208f
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 8dc61aa
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7973070
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8f8f713
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> def9973
- updated to 6.7.0

* Thu Sep 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 84e9af6
- dirs

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 23b6e92
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a9aff4a
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9b5350c
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 851034f
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9c4bea5
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0371c9d
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 471d549
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 116b8cc
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> af72521
- updated to 6.0.0

* Sun Feb 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e76fa0f
- updated to 5.249.0; rel 0.1

* Sat Feb 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 169a4ac
- kf6-kirigami 5.249.0-0.1

